Index: main/asterisk.c
===================================================================
--- main/asterisk.c	(revision 408501)
+++ main/asterisk.c	(working copy)
@@ -4427,64 +4427,64 @@
 		exit(1);
 	}
 
-	if ((moduleresult = load_modules(1))) {		/* Load modules, pre-load only */
+	if (ast_features_init()) {
 		printf("%s", term_quit());
-		exit(moduleresult == -2 ? 2 : 1);
+		exit(1);
 	}
 
-	if (dnsmgr_init()) {		/* Initialize the DNS manager */
+	if (ast_pickup_init()) {
 		printf("%s", term_quit());
 		exit(1);
 	}
 
-	if (ast_security_stasis_init()) {		/* Initialize Security Stasis Topic and Events */
+	if (ast_bridging_init()) {
 		printf("%s", term_quit());
 		exit(1);
 	}
 
-	if (ast_named_acl_init()) { /* Initialize the Named ACL system */
+	if (ast_parking_stasis_init()) {
 		printf("%s", term_quit());
 		exit(1);
 	}
 
-	ast_http_init();		/* Start the HTTP server, if needed */
-
-	if (ast_indications_init()) {
+	if (ast_device_state_engine_init()) {
 		printf("%s", term_quit());
 		exit(1);
 	}
 
-	if (ast_features_init()) {
+	if (ast_presence_state_engine_init()) {
 		printf("%s", term_quit());
 		exit(1);
 	}
 
-	if (ast_pickup_init()) {
+	if ((moduleresult = load_modules(1))) {		/* Load modules, pre-load only */
 		printf("%s", term_quit());
-		exit(1);
+		exit(moduleresult == -2 ? 2 : 1);
 	}
 
-	if (ast_bridging_init()) {
+	if (dnsmgr_init()) {		/* Initialize the DNS manager */
 		printf("%s", term_quit());
 		exit(1);
 	}
 
-	if (ast_parking_stasis_init()) {
+	if (ast_security_stasis_init()) {		/* Initialize Security Stasis Topic and Events */
 		printf("%s", term_quit());
 		exit(1);
 	}
 
-	if (ast_cdr_engine_init()) {
+	if (ast_named_acl_init()) { /* Initialize the Named ACL system */
 		printf("%s", term_quit());
 		exit(1);
 	}
 
-	if (ast_device_state_engine_init()) {
+	ast_http_init();		/* Start the HTTP server, if needed */
+
+	if (ast_indications_init()) {
 		printf("%s", term_quit());
 		exit(1);
 	}
 
-	if (ast_presence_state_engine_init()) {
+	if (ast_cdr_engine_init()) {
 		printf("%s", term_quit());
 		exit(1);
 	}
